## plasma-discover 5.21.4

=== debian/changelog ===
plasma-discover (5.21.4-0ubuntu2) hirsute; urgency=medium

  * Cherry pick upstream fixes due to ship in the 5.21.5 bugfix update.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Apr 2021 14:20:01 +0100

plasma-discover (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:35 +0100

plasma-discover (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)
    - Fixes CVE-2021-28117: Discover: Missing URI scheme validation
      (LP: #1918681)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:20 +0000

plasma-discover (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:31 +0000

plasma-discover (5.21.1-0ubuntu2) hirsute; urgency=medium

  * Add glib2 patch from Fedora to fix FTBFS.

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 19:38:24 +0000

plasma-discover (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:05 +0000

plasma-discover (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:20:46 +0000

plasma-discover (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update build deps from cmake.
  * Update install files.
  * New package kde-config-updates.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:43:46 +0000

plasma-discover (5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:29:48 +0000

plasma-discover (5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:03:23 +0000

plasma-discover (5.20.4-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Dec 2020 10:17:16 +0000

plasma-discover (5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on kuserfeedback-dev, to enable feedback.
    - plasma-discover:
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Dec 2020 16:06:11 +0000

plasma-discover (5.20.4-0ubuntu2) hirsute; urgency=medium

  * Build depend on kuserfeedback-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 06 Dec 2020 12:07:46 +0000

plasma-discover (5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:48:34 +0000

plasma-discover (5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * Drop included upstream_fix-settings-page-crash.patch
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:52:14 +0000

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78~),
               gettext,
               kirigami2-dev (>= 5.42),
               kuserfeedback-dev,
               libappstreamqt-dev (>= 0.12.8~),
               libcurl4-gnutls-dev,
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 1.10.1-2ubuntu1~) [linux-any],
               libfwupd-dev (>= 1.0.6~) [linux-any],
               libjcat-dev,
               libkf5archive-dev (>= 5.78~),
               libkf5attica-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.78~),
               libkf5coreaddons-dev (>= 5.78~),
               libkf5crash-dev (>= 5.78~),
               libkf5dbusaddons-dev (>= 5.78~),
               libkf5declarative-dev (>= 5.78~),
               libkf5i18n-dev (>= 5.78~),
               libkf5idletime-dev (>= 5.78~),
               libkf5itemmodels-dev (>= 5.78~),
               libkf5kcmutils-dev (>= 5.78~),
               libkf5kio-dev (>= 5.78~),
               libkf5newstuff-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.78~),
               libmarkdown2-dev,
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libsnapd-qt-dev (>= 1.30) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            kde-config-updates,
            plasma-discover-backend-fwupd,
            plasma-discover-backend-snap,
            software-properties-qt,
Suggests: plasma-discover-backend-flatpak [linux-any]
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: plasma-discover (<< 5.20.4-2~)
Replaces: plasma-discover (<< 5.20.4-2~)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: kde-config-updates
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.

## plasma-discover 5.22.5

=== debian/changelog ===
plasma-discover (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:45:22 +0200

plasma-discover (5.22.4-0ubuntu2) impish; urgency=medium

  * Fix install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 15:14:22 +0100

plasma-discover (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:41:54 +0100

plasma-discover (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:16 +0100

plasma-discover (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:50:43 +0100

plasma-discover (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)
  * Drop included upstream_flatpak-properly-notify-about-updates.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:56:57 +0100

plasma-discover (5.22.1-0ubuntu2) impish; urgency=medium

  * Add upstream_flatpak-properly-notify-about-updates.patch to fix
    false notifier alerts.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Jun 2021 16:41:52 +0100

plasma-discover (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:08:50 +0100

plasma-discover (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 17:44:08 +0100

plasma-discover (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * Drop included upstream patches.
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,37 +9,37 @@
            Patrick Franz <patfra71@gmail.com>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kirigami2-dev (>= 5.42),
+               kirigami2-dev (>= 5.82.0~),
                kuserfeedback-dev,
                libappstreamqt-dev (>= 0.12.8~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
-               libflatpak-dev (>= 1.10.1-2ubuntu1~) [linux-any],
-               libfwupd-dev (>= 1.0.6~) [linux-any],
+               libflatpak-dev (>= 1.10.1-2ubuntu1~),
+               libfwupd-dev (>= 1.0.6~),
                libjcat-dev,
-               libkf5archive-dev (>= 5.78~),
-               libkf5attica-dev (>= 5.74.0~),
-               libkf5config-dev (>= 5.78~),
-               libkf5coreaddons-dev (>= 5.78~),
-               libkf5crash-dev (>= 5.78~),
-               libkf5dbusaddons-dev (>= 5.78~),
-               libkf5declarative-dev (>= 5.78~),
-               libkf5i18n-dev (>= 5.78~),
-               libkf5idletime-dev (>= 5.78~),
-               libkf5itemmodels-dev (>= 5.78~),
-               libkf5kcmutils-dev (>= 5.78~),
-               libkf5kio-dev (>= 5.78~),
-               libkf5newstuff-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5xmlgui-dev (>= 5.78~),
+               libkf5archive-dev (>= 5.82.0~),
+               libkf5attica-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5itemmodels-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
                libqt5svg5-dev (>= 5.15.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
-               libsnapd-qt-dev (>= 1.30) [linux-any],
+               libsnapd-qt-dev (>= 1.30),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
@@ -71,7 +71,7 @@
             plasma-discover-backend-fwupd,
             plasma-discover-backend-snap,
             software-properties-qt,
-Suggests: plasma-discover-backend-flatpak [linux-any]
+Suggests: plasma-discover-backend-flatpak
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -85,7 +85,7 @@
  installing them.
 
 Package: plasma-discover-backend-flatpak
-Architecture: linux-any
+Architecture: any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
          xdg-desktop-portal-kde,
@@ -102,7 +102,7 @@
  bundling system.
 
 Package: plasma-discover-backend-fwupd
-Architecture: linux-any
+Architecture: any
 Depends: plasma-discover (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -115,7 +115,7 @@
  This package contains a backend for the firmware update daemon.
 
 Package: plasma-discover-backend-snap
-Architecture: linux-any
+Architecture: any
 Depends: plasma-discover (= ${binary:Version}),
          snapd,
          xdg-desktop-portal-kde,

## plasma-discover 5.24.4

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.24.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick X11Extras)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(PkgConfig REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO Declarative KCMUtils IdleTime)
find_package(KF5Kirigami2 2.7.0)

find_package(packagekitqt5 1.0.1 CONFIG)
find_package(AppStreamQt 0.14.4 CONFIG)
find_package(KF5Attica 5.23 CONFIG)
find_package(KF5NewStuff 5.53 CONFIG)

pkg_check_modules(Flatpak IMPORTED_TARGET flatpak>=0.11.8)
pkg_check_modules(Fwupd IMPORTED_TARGET fwupd>=1.5.0)
pkg_check_modules(Markdown IMPORTED_TARGET libmarkdown)
pkg_check_modules(Ostree IMPORTED_TARGET ostree-1)
pkg_check_modules(RpmOstree IMPORTED_TARGET rpm-ostree-1)
find_package(KUserFeedback)

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")
endif()

set(CMAKE_CXX_STANDARD 17)
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING)

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)
add_subdirectory(update)

option(WITH_KCM "Build and install the updates KCM" ON)
if(WITH_KCM)
    add_subdirectory(kcm)
endif()

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    find_package(KF5 REQUIRED Notifications KIO)
    add_subdirectory(notifier)
endif()

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "https://www.freedesktop.org/software/PackageKit/"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit and Flatpak backends"
    TYPE OPTIONAL)
add_feature_info(Flatpak Flatpak_FOUND
                "Library that exposes flatpak repositories. Required to build the Flatpak backend"
)
add_feature_info(Fwupd Fwupd_FOUND "Exposes fwupd")
add_feature_info(Ostree Ostree_FOUND
                "Library to manage ostree repository. Required to build the rpm-ostree backend"
)
add_feature_info(RpmOstree RpmOstree_FOUND
                "rpm-ostree binary to manage the system. Required to build the rpm-ostree backend"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
        EXPORT DISCOVER
        FILE discover.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
plasma-discover (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:14 +0100

plasma-discover (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:13:46 +0000

plasma-discover (5.24.2.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 16:37:46 +0000

plasma-discover (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:00:44 +0000

plasma-discover (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:18 +0000

plasma-discover (5.24.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)
  * Drop included fix-discover-startup-crash.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Feb 2022 09:59:40 +0000

plasma-discover (5.23.90-0ubuntu2) jammy; urgency=medium

  * Add fix-discover-startup-crash.patch based on upstream changes.

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Jan 2022 20:06:03 +0000

plasma-discover (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:17:49 +0000

plasma-discover (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:39:38 +0000

plasma-discover (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:55:42 +0000

plasma-discover (5.23.3.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3.1)
  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 29 Nov 2021 05:38:55 +0000

plasma-discover (5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:16:53 +0000

plasma-discover (5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:49:07 +0000

plasma-discover (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,40 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami2-dev (>= 5.82.0~),
+               kirigami2-dev (>= 5.90.0~),
                kuserfeedback-dev,
-               libappstreamqt-dev (>= 0.12.8~),
+               libappstreamqt-dev (>= 0.14.4~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 1.10.1-2ubuntu1~),
                libfwupd-dev (>= 1.0.6~),
                libjcat-dev,
-               libkf5archive-dev (>= 5.82.0~),
-               libkf5attica-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5crash-dev (>= 5.82.0~),
-               libkf5dbusaddons-dev (>= 5.82.0~),
-               libkf5declarative-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5idletime-dev (>= 5.82.0~),
-               libkf5itemmodels-dev (>= 5.82.0~),
-               libkf5kcmutils-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
-               libkf5notifications-dev (>= 5.82.0~),
-               libkf5xmlgui-dev (>= 5.82.0~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5attica-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5dbusaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5idletime-dev (>= 5.90.0~),
+               libkf5itemmodels-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,

## plasma-discover 5.24.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.24.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 3.16)
@@ -115,5 +115,4 @@
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
         )
 
-find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== discover/CMakeLists.txt ===
add_subdirectory(icons)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/..)

ecm_qt_declare_logging_category(plasma_discover_SRCS HEADER discover_debug.h IDENTIFIER DISCOVER_LOG CATEGORY_NAME org.kde.plasma.discover DESCRIPTION "discover" EXPORT DISCOVER)
kconfig_add_kcfg_files(plasma_discover_SRCS discoversettings.kcfgc GENERATE_MOC)

if (TARGET KUserFeedbackCore)
    kconfig_add_kcfg_files(plasma_discover_SRCS plasmauserfeedback.kcfgc GENERATE_MOC)
endif()

add_executable(plasma-discover ${plasma_discover_SRCS}
    main.cpp
    DiscoverObject.cpp
    DiscoverDeclarativePlugin.cpp

    FeaturedModel.cpp
    PaginateModel.cpp
    UnityLauncher.cpp
    ReadFile.cpp
    PowerManagementInterface.cpp

    resources.qrc
)
add_executable(Plasma::Discover ALIAS plasma-discover)
set_target_properties(plasma-discover PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover PUBLIC
                                     KF5::Crash
                                     KF5::DBusAddons
                                     KF5::I18n
                                     KF5::ItemModels
                                     KF5::ConfigGui
                                     KF5::KIOCore
                                     KF5::WindowSystem
                                     KF5::QuickAddons
                                     Qt::Widgets
                                     Qt::Quick
                                     Qt::X11Extras
                                     Discover::Common
)

if (TARGET KUserFeedbackCore)
    target_link_libraries(plasma-discover PRIVATE KUserFeedbackCore)
    target_compile_definitions(plasma-discover PRIVATE WITH_FEEDBACK=1)
endif()

install(TARGETS plasma-discover ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# if (BUILD_DummyBackend)
#     target_compile_definitions(plasma-discover PRIVATE $<$<CONFIG:Debug>:QT_QML_DEBUG=1>)
# endif()

# Standard desktop file accepts local files as input.
set(DesktopNoDisplay "false")
find_program(DPKG dpkg)
find_program(RPM rpm)
set(DesktopMimeType "")
if(DPKG)
     set(DesktopMimeType "${DesktopMimeType}application/vnd.debian.binary-package;")
endif()
if(RPM)
     set(DesktopMimeType "${DesktopMimeType}application/x-rpm;")
endif()
if(Flatpak_FOUND)
  set(DesktopMimeType "${DesktopMimeType}application/vnd.flatpak;application/vnd.flatpak.repo;application/vnd.flatpak.ref;")
endif()
set(DesktopExec "plasma-discover %F")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

# Support appstream:// URI
set(DesktopNoDisplay "true")
set(DesktopMimeType "x-scheme-handler/appstream;")
set(DesktopExec "plasma-discover %U")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

# support snap:/ URI
set(DesktopNoDisplay "true")
set(DesktopMimeType "x-scheme-handler/snap;")
set(DesktopExec "plasma-discover %U")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.snap.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.snap.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

if(EXISTS "/etc/debian_version")
    set(DesktopNoDisplay "true")
    set(DesktopMimeType "x-scheme-handler/apt")
    set(DesktopExec "plasma-discover %U")
    configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()

install(FILES plasmadiscoverui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/plasmadiscover)
install(FILES org.kde.discover.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libdiscover\")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-paths.h)

add_subdirectory(backends)
add_subdirectory(notifiers)
add_subdirectory(tests)

set(discovercommon_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/ReviewsModel.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    UpdateModel/UpdateItem.cpp
    UpdateModel/UpdateModel.cpp
    resources/DiscoverAction.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/PackageState.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    resources/SourcesModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/AbstractBackendUpdater.cpp
    resources/AbstractSourcesBackend.cpp
    resources/StoredResultsStream.cpp
    DiscoverBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
    CachedNetworkAccessManager.cpp
)

ecm_qt_declare_logging_category(discovercommon_SRCS HEADER libdiscover_debug.h IDENTIFIER LIBDISCOVER_LOG CATEGORY_NAME org.kde.plasma.libdiscover DESCRIPTION "libdiscover" EXPORT DISCOVER)


add_library(DiscoverCommon ${discovercommon_SRCS})
if(TARGET AppStreamQt)
    target_sources(DiscoverCommon PRIVATE
        appstream/OdrsReviewsBackend.cpp
        appstream/AppStreamIntegration.cpp
        appstream/AppStreamUtils.cpp
    )
    target_link_libraries(DiscoverCommon PRIVATE Qt::Concurrent AppStreamQt)
endif()

target_link_libraries(DiscoverCommon
PUBLIC
    Qt::Core
    Qt::Qml
    Qt::Gui
    KF5::I18n
    KF5::ItemModels
PRIVATE
    Qt::Xml
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::KIOCore
)
add_library(Discover::Common ALIAS DiscoverCommon)

generate_export_header(DiscoverCommon)

target_include_directories(DiscoverCommon PRIVATE ${PHONON_INCLUDES} PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

install(TARGETS DiscoverCommon DESTINATION ${KDE_INSTALL_LIBDIR}/plasma-discover)
install(FILES resources/discoverabstractnotifier.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})

=== update/CMakeLists.txt ===
add_executable(plasma-discover-update main.cpp DiscoverUpdate.cpp)

set_target_properties(plasma-discover-update PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)
target_link_libraries(plasma-discover-update Discover::Common KF5::CoreAddons KF5::I18n KF5::DBusAddons)

install(TARGETS plasma-discover-update ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${ARGN})
    add_test(${name} ${CMAKE_BINARY_DIR}/bin/${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common

        Qt::Test Qt::Core ${EXTRA_LIBS})
endfunction()

if(KF5Attica_FOUND AND KF5NewStuff_FOUND)
   add_subdirectory(KNSBackend)
endif()

if(packagekitqt5_FOUND AND AppStreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if(BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
if(Flatpak_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
    add_subdirectory(FlatpakBackend)
elseif(BUILD_FlatpakBackend)
    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
endif()

find_package(Snapd)
set_package_properties(Snapd PROPERTIES
    DESCRIPTION "Library that exposes Snapd"
    URL "https://www.snapcraft.io"
    PURPOSE "Required to build the Snap backend"
    TYPE OPTIONAL)

option(BUILD_SnapBackend "Build Snap support." "ON")
if(BUILD_SnapBackend AND Snapd_FOUND)
    add_subdirectory(SnapBackend)
endif()

option(BUILD_FwupdBackend "Build Fwupd support." "ON")
if(BUILD_FwupdBackend AND TARGET PkgConfig::Fwupd)
    add_subdirectory(FwupdBackend)
endif()

option(BUILD_RpmOstreeBackend "Build rpm-ostree support." "ON")
if(BUILD_RpmOstreeBackend AND Ostree_FOUND AND RpmOstree_FOUND)
    add_subdirectory(RpmOstreeBackend)
endif()

=== libdiscover/backends/FlatpakBackend/CMakeLists.txt ===
add_subdirectory(tests)

set(flatpak-backend_SRCS
    FlatpakResource.cpp
    FlatpakBackend.cpp
    FlatpakFetchDataJob.cpp
    FlatpakSourcesBackend.cpp
    FlatpakJobTransaction.cpp
    FlatpakTransactionThread.cpp
    FlatpakRefreshAppstreamMetadataJob.cpp
    resources.qrc
)

add_library(flatpak-backend MODULE ${flatpak-backend_SRCS})
target_link_libraries(flatpak-backend Qt::Core Qt::Widgets Qt::Concurrent KF5::CoreAddons KF5::ConfigCore Discover::Common AppStreamQt PkgConfig::Flatpak)

if (AppStreamQt_VERSION VERSION_GREATER 0.14.6)
    target_compile_definitions(flatpak-backend PRIVATE -DAPPSTREAM_NEW_POOL_API)
endif()

if (NOT Flatpak_VERSION VERSION_LESS 1.1.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_VERBOSE_PROGRESS -DFLATPAK_LIST_UNUSED_REFS)
endif()

install(TARGETS flatpak-backend DESTINATION ${KDE_INSTALL_PLUGINDIR}/discover)
install(FILES flatpak-backend-categories.xml DESTINATION ${KDE_INSTALL_DATADIR}/libdiscover/categories)

add_library(FlatpakNotifier MODULE FlatpakNotifier.cpp)
target_link_libraries(FlatpakNotifier Discover::Notifiers Qt::Concurrent PkgConfig::Flatpak)
set_target_properties(FlatpakNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

if (Flatpak_VERSION VERSION_LESS 1.10.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
    target_compile_definitions(FlatpakNotifier PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
endif()

install(TARGETS FlatpakNotifier DESTINATION ${KDE_INSTALL_PLUGINDIR}/discover-notifier)
install(PROGRAMS org.kde.discover-flatpak.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.discover.flatpak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(
    ICONS
        sc-apps-flatpak-discover.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
find_package(KF5 REQUIRED Notifications)

add_subdirectory(runservice)

#packagekit-backend
set (packagekit-backend_SRCS
    PackageKitBackend.cpp
    PackageKitResource.cpp
    AppPackageKitResource.cpp
    PKTransaction.cpp
    PackageKitUpdater.cpp
    PackageKitMessages.cpp
    PackageKitSourcesBackend.cpp
    LocalFilePKResource.cpp
    PKResolveTransaction.cpp
    pkui.qrc
    )
ecm_qt_declare_logging_category(packagekit-backend_SRCS HEADER libdiscover_backend_debug.h IDENTIFIER LIBDISCOVER_BACKEND_LOG CATEGORY_NAME org.kde.plasma.libdiscover.backend DESCRIPTION "libdiscover backend" EXPORT DISCOVER)

add_library(packagekit-backend MODULE ${packagekit-backend_SRCS})

target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt::Core Qt::Concurrent PK::packagekitqt5 KF5::ConfigGui KF5::KIOCore KF5::Archive AppStreamQt)
install(TARGETS packagekit-backend DESTINATION ${KDE_INSTALL_PLUGINDIR}/discover)

if(TARGET PkgConfig::Markdown)
    target_compile_definitions(packagekit-backend PRIVATE -DWITH_MARKDOWN)
    target_link_libraries(packagekit-backend PRIVATE PkgConfig::Markdown)
endif()

#notifier
set (DiscoverPackageKitNotifier_SRCS
    PackageKitNotifier.cpp
)
ecm_qt_declare_logging_category(DiscoverPackageKitNotifier_SRCS HEADER libdiscover_backend_debug.h IDENTIFIER LIBDISCOVER_BACKEND_LOG CATEGORY_NAME org.kde.plasma.libdiscover.backend)

add_library(DiscoverPackageKitNotifier MODULE ${DiscoverPackageKitNotifier_SRCS})

target_link_libraries(DiscoverPackageKitNotifier PRIVATE PK::packagekitqt5 Discover::Notifiers KF5::I18n KF5::Notifications KF5::ConfigCore)
set_target_properties(DiscoverPackageKitNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS DiscoverPackageKitNotifier DESTINATION ${KDE_INSTALL_PLUGINDIR}/discover-notifier)

install(FILES packagekit-backend-categories.xml DESTINATION ${KDE_INSTALL_DATADIR}/libdiscover/categories)
add_subdirectory(categoryimages)

install( FILES org.kde.discover.packagekit.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
plasma-discover (5.24.7-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.7) (LP: #1992971)

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Oct 2022 14:48:54 +0100

plasma-discover (5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.5)
  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:05:58 +0100

## plasma-discover 5.24.7-0ubuntu0.1+11.0trisquel2

=== debian/changelog ===
plasma-discover (5.24.7-0ubuntu0.1+11.0trisquel2) aramo; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Nov 2022 12:39:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Klumpp <mak@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

# FIXME: tests are broken at time
override_dh_auto_test:
	:

override_dh_fixperms-arch:
	dh_fixperms -a
	# no need for exec permissions for autostart desktop files
	chmod -x debian/plasma-discover/etc/xdg/autostart/*.desktop
override_dh_missing:
	dh_missing --list-missing
